Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class TooManyObjectsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.TooManyObjectsException

public class TooManyObjectsException
extends JboException

Thrown when more objects than expected are found.

This usually indicates that an Entity Object row has a duplicate primary key, and can occur in these situations:

- The application modifies the primary key of an existing row to conflict with that of another row.
- The primary key of a new row conflicts with that of another row.
- A row is fetched from database and its primary key conflicts with that of a row in cache. This can occur because applications may designate any set of columns as the primary key. The framework expects the primary key to be a column set that is unique in the table, but it does not enforce this rule.
- The framework finds multiple rows with a given primary key in the database.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`TooManyObjectsException(Key primaryKey)` Constructs a new instance.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooManyObjectsException

    public TooManyObjectsException(Key primaryKey)

  Constructs a new instance.
  Parameters:
    `primaryKey` - the primary key of the entity row which caused the conflict.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD